=== debian/changelog ===
golly (3.2-2) unstable; urgency=medium

  * debian/control (Build-Depends): Revert back to python2.7 and python-dev.
  (Depends): Revert.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 13:35:24 +0900

golly (3.2-1) unstable; urgency=medium

  * New upstream (Closes: #901401).  Thanks to Boyuan Yang.
  * debian/control (Standards-Version): Conforms to 4.2.1.
  (Build-Depends): Modify to python3 and python3-dev.
  (Depends): Change to ${python3:Depends}.
  * debian/menu: Remove.
  * debian/rules: Use --with python3.
  * debian/patches/0002-dont-include-tilda-files.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 11:18:36 +0900
