=== debian/changelog ===
golly (3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to use wxwidgets3.2 (Closes: #1019810)
  * Drop patch 0005-wxwidgets-inmature-yet.patch which is no longer required.

 -- Olly Betts <olly@survex.com>  Sat, 26 Nov 2022 08:12:59 +1300

golly (3.3-1) unstable; urgency=medium

  * New upstream.
  * debian/control (Standards-Version): Conforms to 4.4.1.
  (Build-Depends): Use debhelper-compat.  Remove Python support.
  (Depends): Remove ${python:Depends}.
  * debian/compat: Remove.
  * debian/patches/0001-Build-Add-libs.patch: Update.
  * debian/patches/0002-dont-include-tilda-files.patch: Update.
  * debian/patches/0004-support-wxwidegts-with-gtk3.patch: Remove,
  it's now in upstream.
  * debian/patches/0005-wxwidgets-inmature-yet.patch: Update.
  Python2 support removal (Closes: #936635).
  * debian/patches/0006-python2-support-removal.patch: New.
  * debian/rules: Remove --with python2.
  * debian/control (Build-Depends): Remove Python support.
  (Depends): Remove ${python:Depends}.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 02 Dec 2019 09:40:25 +0900

golly (3.2-4) unstable; urgency=medium

  * debian/patches/0004-support-wxwidegts-with-gtk3.patch: New.
  * debian/patches/0005-wxwidgets-inmature-yet.patch: New.
  * debian/patches/0003-automake-subdir-obj.patch: Don't apply.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 15 Aug 2019 10:40:18 +0900

golly (3.2-3) unstable; urgency=medium

  * debian/control (Standards-Version): Conforms to 4.4.0.
  (Build-Depends): Modify to libwxgtk3.0-gtk3-dev (Closes: #933447).
  * debian/patches/0003-automake-subdir-obj.patch: New.
  * debian/rules: Use --with python2, instead of python.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 15 Aug 2019 09:22:48 +0900
