=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
-Build-Conflicts: libwxgtk2.6-dev
-Build-Depends: debhelper (>= 10), libwxgtk3.0-dev, python-dev, python2.7, perl, libperl-dev, zlib1g-dev, dh-python, dh-lua
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), libwxgtk3.2-dev, perl, libperl-dev, zlib1g-dev, dh-lua
+Standards-Version: 4.4.1
 Homepage: http://golly.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/debian/golly.git
+Vcs-Browser: https://salsa.debian.org/debian/golly
 
 Package: golly
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Game of Life simulator using hashlife algorithm
  Golly simulates Conway's Game of Life with an arbitrarily large grid
  of cells.  It can optionally use a hashlife algorithm, which allows
