=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with python3,lua --builddirectory=build \
+	dh $@ --with lua --builddirectory=build \
 	      --sourcedirectory=gui-wx/configure
 
 override_dh_auto_configure:
